program checkarg_mod
  use argmod
  real :: x=5,y=7,z=9

  call PRINTargs(x,y,z)
  PRINT *, x
      
end program checkarg_mod

module argmod

contains

subroutine PRINTargs(a,b,c)

  real :: a,b,c
      
  write(*,*) 'sub PRINTargs: a = ',a
  write(*,*) 'sub PRINTargs: b = ',b
  write(*,*) 'sub PRINTargs: c = ',c

end subroutine PRINTargs

end module argmod
